package enum

// RegistrationChannel identifies how a member registered.
type RegistrationChannel string

const (
	RegistrationChannelEmail  RegistrationChannel = "email"
	RegistrationChannelGoogle RegistrationChannel = "google"
	RegistrationChannelLDAP   RegistrationChannel = "ldap"
)

func (c RegistrationChannel) String() string {
	return string(c)
}

func (c RegistrationChannel) Valid() bool {
	switch c {
	case RegistrationChannelEmail, RegistrationChannelGoogle, RegistrationChannelLDAP:
		return true
	default:
		return false
	}
}
